% Unix newline character is used in the file
% This is a LilyPond source file for creating a sheet music
% Author: A. Zadorin

% Title: Theme03
% Game: Ascendancy
% Composer: The Logic Factory
% Arranger: A. Zadorin

\version "2.19.82"
\include "../../Guitar-current-ly-style/Var/guitar-current.ily"
% you can find guitar-current.ily by Stephen MacNeil at
% http://www.mglessons.com/lilypond/Guitar-current.tar

\header {
	title = "Theme03"
	subtitle = "(Ascendancy)"
	composer = "The Logic Factory"
	arranger = "(arr.: A. Zadorin)"
	tagline = "" 
} 

I = ^\markup\small\italic "i"
J = _\markup\small\italic "i"
ras = ^\markup\italic "Ras."
arpU = \I -\tweak arpeggio-direction #UP -\arpeggio
arpUD = \J -\tweak arpeggio-direction #UP -\arpeggio
arpD = \I -\tweak arpeggio-direction #DOWN -\arpeggio
arpDD = \J -\tweak arpeggio-direction #DOWN -\arpeggio
arpRas = \ras -\tweak arpeggio-direction #UP -\arpeggio

introMelody = {
	\tempo "Moderato" 4 = 120
	\set Score.tempoHideNote = ##t
	\fbarSpanB "IV" {<cis' e' gis'>8 <cis' e' gis'>8 <gis cis' e'>4
		<cis' e' gis'>8 <cis' e' gis'>8 <gis cis' e'>4} | %1
	\bbarSpanB "V" {<c' e' a'>8 <c' e' a'>8 <a c' e'>4
		<c' e' a'>8 <c' e' a'>8 <a c' e'>4} | % 2
	\fbarSpanB "IV" {<cis' e' gis'>8 <cis' e' gis'>8 <gis cis' e'>4
		<cis' e' gis'>8 <cis' e' gis'>8 <gis cis' e'>4} | % 3
	\bbarSpanB "V" {<c' e' a'>8 <c' e' a'>8 <a c' e'>4
		<c' e' a'>8 <c' e' a'>8 <a c' e'>4} | % 4
	<g c' e'>8^\markup \pos "I" <g c' e'>8 <e g c'>4
		<g c' e'>8 <g c' e'>8 <e g c'>4 | % 5
	\repeat unfold 2 {<g b e'>8 <g b e'>8 <e g b>4} | % 6
	\repeat unfold 2 {<g c' e'>8 <g c' e'>8 <e g c'>4} | % 7
	\repeat unfold 2 {<g b e'>8 <g b e'>8 <e g b>4} | % 8

	\bbarSpanB "II" {
		\slurDown
		\tuplet 3/2 {a'8-\tweak Y-offset #0 -4 (gis'-\tweak Y-offset #0 -3) e'-\tweak Y-offset #-2 -4 (}
		\tuplet 3/2 {cis') a e}
		\tuplet 3/2 {r e a}
		\tuplet 3/2 {cis' (e'-\tweak Y-offset #-2 -4) gis'-\tweak Y-offset #0 -3}
	} | % 9
	\tuplet 3/2 {a'8-\tweak Y-offset #-1 -4 ( e'-\tweak Y-offset #-1 -0 ^\markup \pos "I" ) c'}
		\tuplet 3/2 {a e c}
		\tuplet 3/2 {a, (c) e}
		\tuplet 3/2 {a c' e'} | % 10
	\bbarSpanB "II" {
		\tuplet 3/2 {a'8 ( gis' ) e' ( }
		\tuplet 3/2 {cis' ) a e}
		\tuplet 3/2 {r e a}
		\tuplet 3/2 {cis' e' gis'}
	} | % 11
	\tuplet 3/2 {a'8 ( e'^\markup \pos "I" ) c'}
		\tuplet 3/2 {a e c}
		\override TextSpanner.style = #'line
		\override TextSpanner.bound-details.left.text = \markup \upright "CII"
		\tuplet 3/2 {b,^\startTextSpan ( c ) e}
		\tuplet 3/2 {a (c') \stopTextSpan e'-\tweak Y-offset #-1 -0} | % 12
	\tuplet 3/2 {
			\newSpacingSection \override Score.SpacingSpanner.spacing-increment = #2
			aes'8-\tweak Y-offset #0 -4^\markup \pos "I" \glissando
			\newSpacingSection \revert Score.SpacingSpanner.spacing-increment
			g'-\tweak Y-offset #-1 -4 ( e'-\tweak Y-offset #-1 -0 )}
		\tuplet 3/2 {c' g e}
		\tuplet 3/2 {r e g}
		\tuplet 3/2 {c' e' ( g' )} | % 13
	\tuplet 3/2 {g'8 (e') b}
		\tuplet 3/2 {g e b,}
		\tuplet 3/2 {g, b, e}
		\tuplet 3/2 {g b e'} | % 14
	\tuplet 3/2 {
			\newSpacingSection \override Score.SpacingSpanner.spacing-increment = #2
			aes'8\glissando
			\newSpacingSection \revert Score.SpacingSpanner.spacing-increment
			g' ( e')}
		\tuplet 3/2 {c' g e}
		\tuplet 3/2 {r e g}
		\tuplet 3/2 {c' e' (g')} | % 15
	\tuplet 3/2 {g'8 (e') b}
		\tuplet 3/2 {g e b,}
		\tuplet 3/2 {g, b, e}
		\tuplet 3/2 {g b e'} | % 16
}

introBass = {
	cis1\mf | % 1
	a,1 | % 2
	cis1 | % 3
	a,1 | % 4
	c1 | % 5
	e,1 | % 6
	c1 | % 7
	e,1 | % 8

	cis2-2 cis | % 9
	a,2-0 r | % 10
	cis2 cis | % 11
	a,2 r | % 12
	c2 c | % 13
	e,2 r | % 14
	c2 c | % 15
	e,2 r | % 16
}

intro = {
	<< {
		\introMelody
		} \\ {
		\introBass
	} >>
}

militaryOne = {
	<b, fis b>4^\markup \pos "II" <b, fis b> <b, fis b> <b, fis b> | % 17
	<b, fis b>4	<b, fis b> <b, fis b> \tuplet 3/2 {<b, fis b>8 <b, fis b> <b, fis b>} | % 18
	<b, fis b>4	<b, fis b> <b, fis b> \tuplet 3/2 {<b, fis b>8 <b, fis b> <b, fis b>} | % 19
	<b, fis b>4	<b, fis b> <b, fis b> \tuplet 3/2 {<b, fis b>8 <b, fis b> <b, fis b>} | % 20
}

militaryTwoMelody = {
	<e g b>4.^\markup \pos "I" <e a cis'>8 <e~ g~ b~>2 | % 21
	<e g b>4. <e a cis'>4. <e g d'>4 | % 22
	<e~ g~ b~>1 | % 23
	<e g b>1 | % 24
	
	<e g b>4. <e a cis'>8 <e~ g~ b~>2 | % 25
	<e g b>4. <e a cis'>4. <e g d'>4 | % 26
	<e~ g~ b~>1 | % 27
	<e g b>4 <e a cis'> <e g d'> <a cis' e'> | % 28
}

militaryTwoBass = {
	e,4 e, e, e, | % 21
	e,4 e, e, \tuplet 3/2 {e,8 e, e,} | % 22
	e,4 e, e, \tuplet 3/2 {e,8 e, e,} | % 23
	e,4 e, e, \tuplet 3/2 {e,8 e, e,} | % 24

	e,4 e, e, \tuplet 3/2 {e,8 e, e,} | % 25
	e,4 e, e, \tuplet 3/2 {e,8 e, e,} | % 26
	e,4 e, e, \tuplet 3/2 {e,8 e, e,} | % 27
	e,4 e, e, \tuplet 3/2 {e,8 e, e,} | % 28
}

militaryTwo = {
	<< {
		\militaryTwoMelody
		} \\ {
		\militaryTwoBass
	} >>
}

militaryThree = {
	<b, fis b \xNote d' fis'>4\arpU ^\markup \fbar "II"  <b, fis b>\arpU ^\markup \pos "II" <b, fis b>\arpU
		\tuplet 3/2 {<b, fis b>8\arpUD <b, fis b>\arpDD <b, fis b>\arpUD } | % 29
	<b, fis b>4\arpD <b, fis b>\arpU <g, d g>\arpU ^\markup \pos "III" <g, d g>\arpRas | % 30
	<b, fis b>4\arpU ^\markup \pos "II" <b, fis b>\arpU <b, fis b>\arpU
		\tuplet 3/2 {<b, fis b>8\arpUD <b, fis b>\arpDD <b, fis b>\arpUD } | % 31
	<b, fis b>4\arpD <b, fis b>\arpU <g, d g>\arpU ^\markup \pos "III" <g, d g>\arpRas | % 32
}

militaryFour = {
	<cis gis cis'>4\arpU ^\markup \pos "IV" <cis gis cis'>\arpU <cis gis cis'>\arpU
		\tuplet 3/2 {<cis gis cis'>8\arpUD <cis gis cis'>\arpDD <cis gis cis'>\arpUD } | % 33
	<cis gis cis'>4\arpD <cis gis cis'>\arpU <a, e a c' e' a'>\arpU ^\markup \fbar "V" <a, e a c' e' a'>\arpRas | % 34
	<cis gis cis'>4\arpU ^\markup \pos "IV" <cis gis cis'>\arpU <cis gis cis'>\arpU
		\tuplet 3/2 {<cis gis cis'>8\arpUD <cis gis cis'>\arpDD <cis gis cis'>\arpUD } | % 35
	<cis gis cis'>4\arpD <cis gis cis'>\arpU <a, e a c' e' a'>2\arpU ^\markup \fbar "V" | % 36
}

horrorOne = {
	\tuplet 3/2 {dis'8-2 ^\markup \pos "III" ( b-0 ) ais-1}
		\tuplet 3/2 {gis8-\tweak Y-offset #-3 -4 ais b}
		\tuplet 3/2 {dis'8 (b) ais}
		\tuplet 3/2 {gis8 ais b} | % 37
	\tuplet 3/2 {e'8-0 b ais}
		\tuplet 3/2 {gis8 ais b}
		\tuplet 3/2 {e'8 b ais}
		\tuplet 3/2 {gis8 ais b} | % 38
	\tuplet 3/2 {dis'8 (b) ais}
		\tuplet 3/2 {gis8 ais b}
		\tuplet 3/2 {dis'8 (b) ais}
		\tuplet 3/2 {gis8 ais b} | % 39
	\tuplet 3/2 {e'8 b ais}
		\tuplet 3/2 {gis8 ais b}
		\tuplet 3/2 {e'8 b ais}
		\tuplet 3/2 {gis8 ais b} | % 40
}

horrorTwoMelody = {
	\tuplet 3/2 {r8 b ais}
		\tuplet 3/2 {gis8 ais b}
		\tuplet 3/2 {r8 b ais}
		\tuplet 3/2 {gis8 ais b} | % 41
	\tuplet 3/2 {r8 b ais}
		\tuplet 3/2 {gis8-\tweak Y-offset #0 -3 ais b}
		\tuplet 3/2 {r8 b ais}
		\tuplet 3/2 {gis8 ais b} | % 42
	\tuplet 3/2 {e'8 b ais}
		\tuplet 3/2 {gis8 ais b}
		\tuplet 3/2 {e'8 b ais}
		\tuplet 3/2 {gis8 ais b} | % 43
	\tuplet 3/2 {e'8 b ais}
		\tuplet 3/2 {gis8-\tweak Y-offset #0 -4 ais b}
		\MoveFinger #'(0 . 8)
		\tuplet 3/2 {<b-0 e'-0>8 <b e'> <b e'>}
		\MoveFinger #'(0 . 3)
		\tuplet 3/2 {<e'-1 b'-4>8^\markup \pos "V" <e' b'> <e' b'>} | % 44
}

horrorTwoBass = {
		\MoveFinger #'(-2 . 4)
		gis,2->-2
		\MoveFinger #'(-2 . 4)
		ais,->-3 | % 41
	\MoveString #'(-2.5 . 4)
		\MoveFinger #'(-2 . 4)
		b,2->-4\5
		\MoveFinger #'(-2 . 4)
		dis->-4 | % 42
	\MoveFinger #'(-2 . 4)
		e2->-4
		\MoveFinger #'(-2 . 4)
		b,->-4 | % 43
	\MoveFinger #'(-2 . 4)
		gis,2->-2 e, | % 44
}

horrorTwo = {
	<< {
		\horrorTwoMelody
		} \\ {
		\horrorTwoBass
	} >>
}

transitionMelody = {
	\slurDown
	\bbarSpanB "IV" {
		\tuplet 3/2 {b'8-\tweak Y-offset #0 -4 (ais'-\tweak Y-offset #0 -3) fis'-\tweak Y-offset #-2 -4 ( }
		\tuplet 3/2 {dis'8) b fis}
		\tuplet 3/2 {r8 fis b}
		\tuplet 3/2 {dis'8 fis' (ais')}
	} | % 45
	\fbarSpanB "II" {
		\tuplet 3/2 {a'8-\tweak Y-offset #-0.5 -4 (fis') cis'}
		\tuplet 3/2 {a8 fis cis}
		\tuplet 3/2 {a,8-\tweak Y-offset #-3 -4 cis fis}
		\tuplet 3/2 {a8 cis' fis'}| % 46
		\tuplet 3/2 {a'8-\tweak Y-offset #0 -4 (gis'-\tweak Y-offset #0 -3) e'-\tweak Y-offset #-2 -4 ( }
		\tuplet 3/2 {cis'8) a e}
		\tuplet 3/2 {r8 e a}
		\tuplet 3/2 {cis'8 e' (gis')}
	} | % 47
	\tuplet 3/2 {g'8^\markup \pos "I" (e') b}
		\tuplet 3/2 {g8 e b,}
		\tuplet 3/2 {g,8 b, e}
		\tuplet 3/2 {g8 b e'} | % 48
}

transitionBass = {
	dis2-3 dis2 | % 45
	fis,2 r2 | % 46
	cis2-3 cis2 | % 47
	e,2 r2 | % 48
}

transition = {
	<< {
		\transitionMelody
		} \\ {
		\transitionBass
	} >>
}

ascendancyMelody = {
	\MoveFinger #'(-1.5 . 3)
	<fis-4 b-0>2.^\markup \pos "II" cis'4-2 | % 49
	d'4-3 fis'-2
		\MoveFinger #'(0 . -0.7)
		b'\gf #-1 #45 -2 cis''\gf #-.1 #5 -2 | % 50
	d''2.-3\1 bes'4-4\2 | % 51
	a'1-4\2 | % 52
	\MoveString #'(-2 . 3)
		<a\4~ c''~>1 | % 53
	<a c''>4 b' a' e' | % 54
	<e g'>1^\markup \pos "I" | % 55
	r1 | % 56
	\fbarSpanB "II" {\MoveFinger #'(-2 . 5) <fis, fis-3>1 | % 57
	d4-4 fis-3 b-4 cis'-1} | % 58
	\MoveFinger #'(0 . 8) <a-2 d'-4>2.^\markup \pos "I" a4 | % 59
	d'4 a \fbarSpanB "I" {d' f'-1} | % 60
}

ascendancyBass = {
	\MoveFinger #'(-1.5 . 1)
	b,4-1 b, b, b, | % 49
	b,4 b, b,-1_\6
		\MoveFinger #'(0 . 1)
		\MoveString #'(0 . 1)
		cis\gf #-.1 #0 -1_\6 | % 50
	d4-0 d d d | % 51
	d4 e-1_\StSpanDe #5 f-2 g-3\endStringNum | % 52
	a,4-0 a, a, a, | % 53
	a,4 a, a, a, | % 54
	e,4 e, e, e, | % 55
	e,4 c4 b, g, | % 56
	b,4 b, b, cis-2 | % 57
	r4 b,-1 b,-1 cis-3 | % 58
	d4 d d d | % 59
	d4 e, f,-1 g,-3 | % 60
}

ascendancy = {
	<< {
		\ascendancyMelody
		} \\ {
		\ascendancyBass
	} >>
}

endMelody = {
	\MoveFinger #'(-1.5 . 3.5) <e-3 a-4 e'>1 | % 61
	s1 | % 62
	s1 | % 63
	s1 | % 64
	s1 | % 65
}

endBass = {
	\slurUp
	a,4\dim a, a,  \tuplet 3/2 {a8 c' e' ( } | % 61
	\tuplet 3/2 {f'8 e') c'}
		\tuplet 3/2 {a8 e a}
		\tuplet 3/2 {e8 a e}
		\tuplet 3/2 {a8 c' e' ( } | % 62
	\tuplet 3/2 {f'8 e') c'}
		\tuplet 3/2 {a8 e a}
		\tuplet 3/2 {e8 a e}
		\tuplet 3/2 {a8 c' e' ( } | % 63
	\tuplet 3/2 {f'8  e') c'}
		\tuplet 3/2 {a8 e a}
		\tuplet 3/2 {e8 a e}
		\tuplet 3/2 {a8 e a} | % 64
		<a, e a>1\! | % 65
}

end = {
	<< {
		\endMelody
		} \\ {
		\endBass
	} >>
}

\score{
	\new Staff
	{
		\set Staff.midiInstrument = #"acoustic guitar (nylon)"
		\clef "treble_8"
		\time 4/4

		\key b \minor
		\intro
		\bar "||"
		\militaryOne
		\militaryTwo
		\militaryThree
		\key gis \minor
		\militaryFour
		\bar "||"
		\horrorOne
		\horrorTwo
		\transition
		\bar "||"
		\key b \minor
		\ascendancy
		\key a \minor
		\end
		\bar "|."
	}
	\layout{indent = 0\cm}
	\midi{}
}